> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notiline.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Détails d'un SMS

> Obtenir un SMS unique par ID ou lot



## OpenAPI

````yaml https://api.notiline.net/docs get /sms/out/{id}
openapi: 3.0.0
info:
  title: Notiline API Documentation
  description: >-
    Documentation complète de l'API Notiline. Fournit des informations sur les
    endpoints, les paramètres, et les réponses.
  contact:
    name: Support Notiline
    email: support@notiline.net
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
servers: []
security:
  - BearerAuth: []
tags:
  - name: Solde
    description: Opérations de solde
  - name: Contact
    description: Gestion des contacts
  - name: Groupe
    description: Gestion des groupes
  - name: HLR Lookup
    description: Service de recherche HLR
  - name: Métrique
    description: Opérations de métriques
  - name: Campagne
    description: Campagne SMS
  - name: Account
    description: Account
  - name: Otp
    description: Otp
  - name: Expéditeur
    description: Expéditeur
  - name: SMS
    description: SMS
paths:
  /sms/out/{id}:
    get:
      tags:
        - SMS
      summary: Détails d'un SMS
      description: Obtenir un SMS unique par ID ou lot
      operationId: 78f0ed75bcc14adea4801c58e67a89d5
      parameters:
        - name: id
          in: path
          description: ID ou lot du message
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Réponse réussie
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: integer
                    example: 200
                  message:
                    type: string
                    example: succès
                  data:
                    $ref: '#/components/schemas/MessageOut'
                type: object
        '404':
          description: Non trouvé
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: integer
                    example: 404
                  message:
                    type: string
                    example: Non trouvé
                  errors:
                    type: array
                    items:
                      type: string
                type: object
      security:
        - bearerAuth: []
components:
  schemas:
    MessageOut:
      title: MessageOut
      description: MessageOut model
      properties:
        company_id:
          description: ID of the related company
          type: string
          format: uuid
        uniq_id:
          description: Unique ID
          type: string
        external_id:
          description: Client message ID
          type: string
        message_price_id:
          description: ID of the related message price
          type: string
          format: uuid
        type:
          description: Type of the message
          type: string
        lot:
          description: Lot number
          type: string
        sender_id:
          description: ID of the related sender
          type: string
          format: uuid
        contact_id:
          description: ID of the related contact
          type: string
          format: uuid
        message:
          description: Content of the message
          type: string
        page:
          description: Page information
          type: string
        message_encoding:
          description: Encoding of the message
          type: string
        amount:
          description: Amount related to the message
          type: number
          format: float
        send_at:
          description: Send timestamp
          type: string
          format: date-time
        done_at:
          description: Completion timestamp
          type: string
          format: date-time
        mccmnc:
          description: Mobile country code and mobile network code
          type: string
        dlr_number_retry:
          description: Number of delivery retries
          type: integer
        provider:
          description: Provider information
          type: string
        provider_id:
          description: ID of the provider
          type: string
        provider_status:
          description: Status from the provider
          type: string
        source:
          description: Source of the message
          type: string
        status:
          description: Status of the message
          type: string
        created_by:
          description: ID of the user who created the message
          type: string
          format: uuid
        webhook_url:
          description: Webhook URL
          type: string
        webhook_response:
          description: Webhook response
          type: string
        retrieve:
          description: Retrieve status
          type: boolean
        local_number:
          description: Local number
          type: string
        language:
          description: Language
          type: string
        company:
          properties:
            id:
              description: ID of the related company
              type: string
              format: uuid
            name:
              description: Name of the company
              type: string
            email:
              description: Email of the company
              type: string
            phone:
              description: Phone number of the company
              type: string
          type: object
        message_price:
          properties:
            id:
              description: ID of the related message price
              type: string
              format: uuid
            description:
              description: Description of the message price
              type: string
            amount:
              description: Amount of the message price
              type: number
              format: float
          type: object
        sender:
          properties:
            id:
              description: ID of the related sender
              type: string
              format: uuid
            name:
              description: Name of the sender
              type: string
            email:
              description: Email of the sender
              type: string
            phone:
              description: Phone number of the sender
              type: string
          type: object
        contact:
          properties:
            id:
              description: ID of the related contact
              type: string
              format: uuid
            name:
              description: Name of the contact
              type: string
            email:
              description: Email of the contact
              type: string
            phone:
              description: Phone number of the contact
              type: string
          type: object
        author:
          properties:
            id:
              description: ID of the user who created the message
              type: string
              format: uuid
            name:
              description: Name of the user who created the message
              type: string
            email:
              description: Email of the user who created the message
              type: string
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key passed in the Authorization Bearer Token
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````